#
# spec file for package libXNVCtrl
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
# or the Packman mailing list


Name:           libXNVCtrl
Version:        361.42
Release:        1.12
Summary:        NVidia Control Library
License:        GPL-2.0
Group:          Development/Libraries/C and C++
Url:            ftp://download.nvidia.com/XFree86/Linux-x86/%{version}/README/index.html
Source:         ftp://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-%{version}.tar.bz2
Patch1:         libXNVCtrl-361.42-optflags.patch
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  xorg-x11-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Library for configuring the NVIDIA Linux graphics driver. It operates by
communicating with the NVIDIA X driver, querying and updating state as
appropriate. This communication is done with the NV-CONTROL X extension.

%prep
%setup -q -n "nvidia-settings-%{version}"
%patch1 -p1

%build
make %{?_smp_mflags} \
   CC="gcc" \
   STRIP=touch \
   INSTALL="install" \
   NV_VERBOSE=1 \
   OPTFLAGS="%{optflags}" \
   -C src/%{name}

%install
install -d "%{buildroot}%{_libdir}"
install -m0644 src/%{name}/libXNVCtrl.a "%{buildroot}%{_libdir}/"
install -d "%{buildroot}%{_includedir}/NVCtrl"
install -m0644 src/%{name}/*.h "%{buildroot}%{_includedir}/NVCtrl/"

%files
%defattr(-,root,root)
%{_includedir}/NVCtrl
%{_libdir}/libXNVCtrl.a

%changelog
* Tue Jun 14 2016 aloisio@gmx.com
- Update to match current nvidia binary driver version
* Fri Feb 13 2015 aloisio@gmx.com
- Update to match current nvidia binary driver version
* Fri Jan 16 2015 aloisio@gmx.com
- Initial version as stand-alone package.
